# Android Motrixi Plugin for Flutter

This plugin allows Flutter apps to collection data from Android app. If the plugin is invoked on iOS, it will crash your app. In checked
mode, we assert that the platform should be Android.


## Backward compatible 1.0.0 version is coming
The plugin has reached a stable API, we guarantee that version `1.0.0`.

It does not support returning the result of the launched activity. Sample usage:

```dart
import 'package:android_alarm_manager/android_alarm_manager.dart';
if (platform.isAndroid) {
    MotrixiFlutter.initSDK('5ad751a0-127e-11eb-a2b2-39b34bf62ab2');
    MotrixiFlutter.setCallback(MotrixiCallback(
      onLog: (String s) {
        print('----Log-----' + s);
      }
    ));
 );
}
```


## Getting Started

This project is a starting point for a Flutter
[plug-in package](https://flutter.dev/developing-packages/),
a specialized package that includes platform-specific implementation code for
Android and/or iOS.

For help getting started with Flutter, view our
[online documentation](https://flutter.dev/docs), which offers tutorials,
samples, guidance on mobile development, and a full API reference.

